gnutls_x509_privkey_sec_param(3)

NAME
gnutls_x509_privkey_sec_param - API function

SYNOPSIS
#include <gnutls/x509.h>

gnutls_sec_param_t gnutls_x509_privkey_sec_param(gnutls_x509_privkey_t key);

ARGUMENTS

gnutls_x509_privkey_t key
    a key

DESCRIPTION
This function will return the security parameter appropriate with this private key.

RETURNS
On success, a valid security parameter is returned otherwise GNUTLS_SEC_PARAM_UNKNOWN is returned.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/